Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductOffering

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductOffering

All Implemented Interfaces:
  `GuiTitlable`, `Idable`

public class ProductOffering extends Object implements Idable, GuiTitlable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductOffering()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ProductOfferingActivationMode>`
  `getActivationModeList()`
  `String`
  `getDescription()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getId()`
  Возвращает id объекта
  `int`
  `getPeriodAmount()`
  `int`
  `getPeriodMode()`
  `BigDecimal`
  `getPrice()`
  `ProductSpec`
  `getProductSpec()`
  `boolean`
  `isEnable()`
  `ProductOffering`
  `setActivationModeList(List<ProductOfferingActivationMode> activationModeList)`
  `ProductOffering`
  `setDescription(String description)`
  `ProductOffering`
  `setEnable(boolean enable)`
  `ProductOffering`
  `setPeriodAmount(int periodAmount)`
  `ProductOffering`
  `setPeriodMode(int periodMode)`
  `ProductOffering`
  `setPrice(BigDecimal price)`
  `ProductOffering`
  `setProductSpec(ProductSpec productSpec)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOffering

    public ProductOffering()

- ## Method Details

  - ### getActivationModeList

    public List<ProductOfferingActivationMode> getActivationModeList()

  - ### getDescription

    public String getDescription()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getId

    public int getId()
    Description copied from interface: `Idable`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### getPeriodAmount

    public int getPeriodAmount()

  - ### getPeriodMode

    public int getPeriodMode()

  - ### getPrice

    public BigDecimal getPrice()

  - ### getProductSpec

    public ProductSpec getProductSpec()

  - ### isEnable

    public boolean isEnable()

  - ### setActivationModeList

    public ProductOffering setActivationModeList(List<ProductOfferingActivationMode> activationModeList)

  - ### setDescription

    public ProductOffering setDescription(String description)

  - ### setEnable

    public ProductOffering setEnable(boolean enable)

  - ### setPeriodAmount

    public ProductOffering setPeriodAmount(int periodAmount)

  - ### setPeriodMode

    public ProductOffering setPeriodMode(int periodMode)

  - ### setPrice

    public ProductOffering setPrice(BigDecimal price)

  - ### setProductSpec

    public ProductOffering setProductSpec(ProductSpec productSpec)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`